"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "foodCode",
  setup(__props) {
    const orderNo = common_vendor.ref("");
    common_vendor.onMounted(() => {
      onLoad();
    });
    function onLoad() {
      const pages = getCurrentPages();
      const currentPage = pages[pages.length - 1];
      if (currentPage && currentPage.options && currentPage.options.orderNo) {
        orderNo.value = decodeURIComponent(currentPage.options.orderNo);
        console.log(`Received Order No.: ${orderNo.value}`);
      } else {
        console.error("Order No. was not provided or could not be decoded.");
      }
    }
    return (_ctx, _cache) => {
      return {
        a: common_vendor.t(orderNo.value),
        b: common_vendor.f(1, (item, k0, i0) => {
          return {
            a: item
          };
        }),
        c: `/pages/goods/goods?id=1`
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/111111000000/uniapp04/pages/foodCode/foodCode.vue"]]);
my.createPage(MiniProgramPage);
